import React from 'react'
import ReactDOM from 'react-dom'
import App from '@/components/App'

// 引入redux
import { createStore} from 'redux'
import { Provider } from 'react-redux'

// 引入reducer
import rootReducer from "./reducers"

// 创建store
const store = createStore(
  rootReducer,
  window.__REDUX_DEVTOOLS_EXTENSION__ && window.__REDUX_DEVTOOLS_EXTENSION__()
)


function Clock(props) {
  return (
    <div>
      <h1>Hello, world!</h1>
      <h2>It is {props.date.toLocaleTimeString()}.</h2>
    </div>
  );
}

ReactDOM.render(
   <Provider store={store}>
      <App name1='122'/>
   </Provider>,
  // <Clock date={new Date()} />,
  document.getElementById('app')
);
